%
% Function processnetlist.m
%
% Written by BigDogGuru 5/29/2011
%
% Accepts an ascii netlist file via Dialog Box in the following format:
%
% Columns
%  1   2  3 4 5 6 7 8 9
% .net N1 A B C
% .net N2 D E F
% .net N3 H J K L V C
%
% Creates a character array of N x 1 dimemsions with string in column two 
% and loads the characters from column 3 to column N.
%

[FileName,PathName] = uigetfile({'*.net;*.lst','Net List Files (*.net,*.lst)'; ...
                                 '*.txt','Text Files (*.txt)'; ...
                                 '*.*','All Files'}, ...
                                 'Select the NetList file to be processed');

fid=fopen(fullfile(PathName,FileName));

while 1
    
    tline = fgets(fid);
    if ~ischar(tline),   break,   end
    disp(tline);
    [netid, pos] = textscan(tline, '%*s %s', 1);
    netlist = textscan(tline(pos+1:end), '%s');
    v = genvarname(netid{1});
    eval([v{1} '= cell2mat(netlist{1})']); 
    
end

fclose(fid);